Skip to main content
POST
Create a custom field definition
Creates a custom field definition on your account. The API always creates the definition on the authenticated user’s account, whatever account_id you pass.

Request body

Send template_id, or all of entity_type, api_slug, display_name and data_type.

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

account_id
string<uuid>
required

Your account ID. The API always uses the account of the authenticated user.

Body

application/json
data
object

Response

Created

data
Custom field definition · object